Index: testsuites/psxtests/Makefile.am
===================================================================
--- testsuites/psxtests/Makefile.am	(revision 0af5eded57f8a053139752e8de1e31fc80f070c4)
+++ testsuites/psxtests/Makefile.am	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
@@ -1872,4 +1872,10 @@
 ## lib_a_SOURCES += psxhdrs/sys/statvfs/statvfs.c        See ticket #3660
 ## lib_a_SOURCES += psxhdrs/sys/statvfs/fstatvfs.c       See ticket #3660
+## lib_a_SOURCES += psxhdrs/utmpx/setutxent.c            See ticket #3661
+## lib_a_SOURCES += psxhdrs/utmpx/endutxent.c            See ticket #3661
+## lib_a_SOURCES += psxhdrs/utmpx/getutxent.c            See ticket #3661
+## lib_a_SOURCES += psxhdrs/utmpx/getutxid.c             See ticket #3661
+## lib_a_SOURCES += psxhdrs/utmpx/getutxline.c           See ticket #3661
+## lib_a_SOURCES += psxhdrs/utmpx/pututxline.c           See ticket #3661
 endif
 
Index: testsuites/psxtests/psxhdrs/utmpx/endutxent.c
===================================================================
--- testsuites/psxtests/psxhdrs/utmpx/endutxent.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
+++ testsuites/psxtests/psxhdrs/utmpx/endutxent.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief endutxent() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <utmpx.h>
+
+int test(void);
+
+int test(void)
+{
+  endutxent();
+  return (0);
+}
Index: testsuites/psxtests/psxhdrs/utmpx/getutxent.c
===================================================================
--- testsuites/psxtests/psxhdrs/utmpx/getutxent.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
+++ testsuites/psxtests/psxhdrs/utmpx/getutxent.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief getutxent() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <utmpx.h>
+
+int test(void);
+
+int test(void)
+{
+  struct utmpx *a = getutxent();
+  return !a;
+}
Index: testsuites/psxtests/psxhdrs/utmpx/getutxid.c
===================================================================
--- testsuites/psxtests/psxhdrs/utmpx/getutxid.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
+++ testsuites/psxtests/psxhdrs/utmpx/getutxid.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
@@ -0,0 +1,36 @@
+/**
+ *  @file
+ *  @brief getutxid() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <utmpx.h>
+
+int test(void);
+
+int test(void)
+{
+  const struct utmpx b = {0};
+
+  struct utmpx *a = getutxid(&b);
+  return !a;
+}
Index: testsuites/psxtests/psxhdrs/utmpx/getutxline.c
===================================================================
--- testsuites/psxtests/psxhdrs/utmpx/getutxline.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
+++ testsuites/psxtests/psxhdrs/utmpx/getutxline.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
@@ -0,0 +1,37 @@
+/**
+ *  @file
+ *  @brief getutxline() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <utmpx.h>
+
+int test(void);
+
+int test(void)
+{
+  const struct utmpx b = {0};
+  struct utmpx *a;
+
+  a = getutxline(&b);
+  return !a;
+}
Index: testsuites/psxtests/psxhdrs/utmpx/pututxline.c
===================================================================
--- testsuites/psxtests/psxhdrs/utmpx/pututxline.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
+++ testsuites/psxtests/psxhdrs/utmpx/pututxline.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
@@ -0,0 +1,37 @@
+/**
+ *  @file
+ *  @brief pututxline() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <utmpx.h>
+
+int test(void);
+
+int test(void)
+{
+  const struct utmpx b = {0};
+  struct utmpx *a;
+
+  a = pututxline(&b);
+  return !a;
+}
Index: testsuites/psxtests/psxhdrs/utmpx/setutxent.c
===================================================================
--- testsuites/psxtests/psxhdrs/utmpx/setutxent.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
+++ testsuites/psxtests/psxhdrs/utmpx/setutxent.c	(revision a0353ea266a65f275fe975bccc9f742ee6b407a2)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief setutxent() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <utmpx.h>
+
+int test(void);
+
+int test(void)
+{
+  setutxent();
+  return (0);
+}
